## alsaequal 0.6

=== Makefile ===

# Quiet (set to @ for a quite compile)
Q	?= @
#Q	?=

# Build Tools
CC 	:= gcc
CFLAGS := -I. -O2 -Wall -funroll-loops -ffast-math -fPIC -DPIC
LD := gcc
LDFLAGS := -O2 -Wall -shared -lasound

SND_PCM_OBJECTS = pcm_equal.o ladspa_utils.o
SND_PCM_LIBS =
SND_PCM_BIN = libasound_module_pcm_equal.so

SND_CTL_OBJECTS = ctl_equal.o ladspa_utils.o
SND_CTL_LIBS =
SND_CTL_BIN = libasound_module_ctl_equal.so

.PHONY: all clean dep load_default

all: Makefile $(SND_PCM_BIN) $(SND_CTL_BIN)

dep:
	@echo DEP $@
	$(Q)for i in *.c; do $(CC) -MM $(CFLAGS) "$${i}" ; done > makefile.dep

-include makefile.dep

$(SND_PCM_BIN): $(SND_PCM_OBJECTS)
	@echo LD $@
	$(Q)$(LD) $(LDFLAGS) $(SND_PCM_LIBS) $(SND_PCM_OBJECTS) -o $(SND_PCM_BIN)

$(SND_CTL_BIN): $(SND_CTL_OBJECTS)
	@echo LD $@
	$(Q)$(LD) $(LDFLAGS) $(SND_CTL_LIBS) $(SND_CTL_OBJECTS) -o $(SND_CTL_BIN)

%.o: %.c
	@echo GCC $<
	$(Q)$(CC) -c $(CFLAGS) $<

clean:
	@echo Cleaning...
	$(Q)rm -vf *.o *.so

install: all
	@echo Installing...
	$(Q)install -m 644 $(SND_PCM_BIN) ${DESTDIR}/usr/lib/alsa-lib/
	$(Q)install -m 644 $(SND_CTL_BIN) ${DESTDIR}/usr/lib/alsa-lib/

uninstall:
	@echo Un-installing...
	$(Q)rm ${DESTDIR}/usr/lib/alsa-lib/$(SND_PCM_BIN)
	$(Q)rm ${DESTDIR}/usr/lib/alsa-lib/$(SND_CTL_BIN)

=== debian/changelog ===
alsaequal (0.6-7) unstable; urgency=medium

  * Remove myself from the uploaders list.

 -- Alessio Treglia <alessio@debian.org>  Mon, 12 Dec 2016 07:34:48 +0000

alsaequal (0.6-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Fix Eq CAPS plugin name (Closes: #721355)
  * Add 06_fix-caps-error.patch to fix a spurious error with newer caps versions
  * Tighten Depends on caps
  * Canonicalize Vcs-Git field too

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 30 Aug 2013 19:21:05 +0200

alsaequal (0.6-5) unstable; urgency=low

  * Install default conf to system-wide alsa-lib config path
    and simplify example (Closes: #685955)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 28 Aug 2012 14:44:06 +0200

alsaequal (0.6-4) unstable; urgency=low

  * Disable quiet build so that build flags are visible
  * Enable security hardening flags
    Thanks to Simon Ruderich for the patch (Closes: #662695)
  * Email change: Alessandro Ghedini -> ghedo@debian.org

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 31 Mar 2012 14:34:05 +0200

alsaequal (0.6-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Fix Vcs-Browser field.

  [ Alessandro Ghedini ]
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Remove manual Depends on libasound2
  * Fix conf example path
  * Add Multi-Arch header (and Pre-Depends too)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 26 Feb 2012 14:49:41 +0100

alsaequal (0.6-2) unstable; urgency=low

  * Team upload

  [ Alessio Treglia ]
  * Replace the note with the newest one used by FSF.

  [ Alessandro Ghedini ]
  * Fix copy-paste typo in LGPL note
  * Add missing 'Lesser' in LGPL license
  * Build on Linux only

  [ Reinhard Tartler ]
  * Install into multiarch directories. Closes: #635005
  * Bump standards version (no changes needed)
  * update Vcs-Browser field

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 28 Jul 2011 07:52:32 +0200

alsaequal (0.6-1) unstable; urgency=low

  * Initial release (Closes: #604908).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 25 Nov 2010 18:28:00 +0100

=== debian/control ===
Source: alsaequal
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessandro Ghedini <ghedo@debian.org>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev
Standards-Version: 3.9.4
Homepage: http://www.thedigitalmachine.net/alsaequal.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/alsaequal.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/alsaequal.git

Package: libasound2-plugin-equal
Architecture: linux-any
Depends:
 caps (>= 0.9.11),
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Description: equalizer plugin for ALSA
 Alsaequal is a real-time adjustable equalizer plugin for ALSA. It can
 be adjusted using an ALSA compatible mixer, like alsamixergui or
 alsamixer.
 .
 Alsaequal uses the Eq CAPS LADSPA Plugin for audio processing, actually
 alsaequal is a generic LADSPA plugin interface with real-time access to
 the LADSPA controls (the LADSPA plugin included with alsa doesn't allow
 for real-time controls) but it was developed for and only tested with
 Eq CAPS LADSPA plugin.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR = lib/$(DEB_HOST_MULTIARCH)

# disable quiet build so that build flags are visible (cfr. #662695)
export Q=

%:
	dh $@

override_dh_clean:
	dh_clean -XMakefile~

override_dh_auto_install:
	make install LIBDIR=$(LIBDIR) DESTDIR=debian/libasound2-plugin-equal
	dh_install --sourcedir=debian/config equal.conf \
		usr/share/alsa/alsa.conf.d

=== debian/watch ===
version=3

http://www.thedigitalmachine.net/tools/alsaequal-(.*)\.tar\.bz2
